<div class="p-20">
	<div class="mb-20">
		<div class="breadcrumbs " >
			<a class="breadcrumbs__item"
				[routerLink]="['../../']">
				<!--<mat-icon svgIcon="arrow-left"></mat-icon>-->
				<span >
				      Список приемных кампаний
				</span>
			</a>
			<span> /</span>
			<a class="breadcrumbs__item"
				[routerLink]="['../../../', idCampaign, 'competitive']">
				<!--<mat-icon svgIcon="arrow-left"></mat-icon>-->
				<span >
				     Список конкурсных групп
				</span>
			</a>

			<span> /</span>
			<a class="breadcrumbs__item"
				[routerLink]="['../']">
				<!--<mat-icon svgIcon="arrow-left"></mat-icon>-->
				<span >
				     Конкурсная группа
				</span>
			</a>


		</div>
		<div>
			<h3 fxFlex=""> Редактирование информации о конкурсной группе </h3>
			<div>
				<button mat-flat-button
					(click)="addData()"
					[disabled]="competitiveForm.invalid || competitiveForm.pristine || !competitiveForm.dirty"
					class="mr-16"
					color="primary"> Сохранить</button>

				<button mat-stroked-button
					(click)="cancel()"
					[disabled] = "competitiveForm.pristine || !competitiveForm.dirty"
					color="primary"> Отменить изменения </button>

			</div>
		</div>
	</div>

	<app-loader *ngIf="isLoad"></app-loader>

	<mat-card class="art-card" *ngIf="data">
		<mat-card-content>
			<form [formGroup]="competitiveForm">
				<ng-template matStepLabel>Основные данные</ng-template>


				<div fxLayout="row" fxLayout.lt-md="column">
					<mat-form-field appearance="fill" fxFlex="" fxFlex.lt-md="100">
						<mat-label>Приемная кампания</mat-label>
						<input matInput [(ngModel)]="data.name_campaign"  [ngModelOptions]="{standalone: true}" disabled>
					</mat-form-field>
				</div>

				<div fxLayout="row" fxLayout.lt-md="column" fxLayoutGap='16px'>
					<mat-form-field appearance="fill" fxFlex="" fxFlex.lt-md="100" >
						<mat-label>Наименование конкурсной группы</mat-label>
						<input matInput formControlName="name"  required>
					</mat-form-field>

					<mat-form-field appearance="fill" fxFlex="32.6" fxFlex.lt-md="100" >
						<mat-label>UID</mat-label>
						<input matInput formControlName="uid" appNullValue>
					</mat-form-field>
				</div>


				<div fxLayout="row" fxLayout.lt-md="column" fxLayoutGap='16px'>
					<mat-form-field appearance="fill" fxFlex="">
						<mat-label> Уровень образования</mat-label>
						<mat-select formControlName="id_education_level"
							(valueChange)="educationLevelChange.next($event)"
							required >
							<mat-option *ngFor="let item of cls.education_level.data" [value]="item.id">
								{{item.name}}
							</mat-option>
						</mat-select>
					</mat-form-field>

					<mat-form-field appearance="fill" fxFlex="">
						<mat-label> Источник финансирования</mat-label>
						<mat-select formControlName="id_education_source" required>
							<mat-option *ngFor="let item of cls.education_source.data" [value]="item.id">
								{{item.name}}
							</mat-option>
						</mat-select>
					</mat-form-field>


					<mat-form-field appearance="fill" fxFlex="">
						<mat-label> Уровень бюджета</mat-label>
						<mat-select formControlName="id_level_budget"
							[appDisableControl]="competitiveForm.controls['id_education_source'].value === EDUC_SOURC_PAID"
							[required]="competitiveForm.controls['id_education_source'].value !== EDUC_SOURC_PAID" >
							<mat-option *ngFor="let item of cls.level_budget.data" [value]="item.id">
								{{item.name}}
							</mat-option>
						</mat-select>
					</mat-form-field>

				</div>

				<div fxLayout="row" fxLayout.lt-md="column" fxLayoutGap='16px'>
					<mat-form-field appearance="fill" fxFlex="">
						<mat-label> Форма обучения</mat-label>
						<mat-select formControlName="id_education_form" required>
							<mat-option *ngFor="let item of cls.education_forms.data" [value]="item.id">
								{{item.name}}
							</mat-option>
						</mat-select>
					</mat-form-field>

					<mat-form-field appearance="fill" fxFlex="">
						<mat-label> Направление подготовки</mat-label>
						<mat-select formControlName="id_direction"
							required>
							<ngx-mat-select-search
								[placeholderLabel]="'Поиск'"
								[noEntriesFoundLabel]="'Данные не найдены'"
								[(ngModel)]="cls.direction.search"  [ngModelOptions]="{standalone: true}">
								<mat-icon ngxMatSelectSearchClear svgIcon="close"></mat-icon>
							</ngx-mat-select-search>
							<mat-option *ngFor="let item of  cls.direction.data | filter: cls.direction.search" [value]="item.id">
								{{item.name}}
							</mat-option>
						</mat-select>
					</mat-form-field>




					<mat-form-field appearance="fill" fxFlex="">
						<mat-label> Количество мест</mat-label>
						<input matInput formControlName="number" appInteger maxlength="4" required>
					</mat-form-field>

				</div>

				<div>
					<mat-form-field appearance="fill" fxFlex="">
						<mat-label> Комментарий </mat-label>
						<textarea matInput formControlName="comment" appNullValue rows="2"> </textarea>
					</mat-form-field>
				</div>

			</form>
		</mat-card-content>

<!--		<ng-template #dataNotFound>-->
<!--		</ng-template>-->
	</mat-card>

</div>
